/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.chemistry.opencmis.workbench.icons;

import java.awt.Graphics2D;
import java.awt.geom.GeneralPath;

public class RepositoryInfoIcon extends AbstractWorkbenchIcon {

    public RepositoryInfoIcon() {
        super();
    }

    public RepositoryInfoIcon(int width, int height) {
        super(width, height);
    }

    public RepositoryInfoIcon(int width, int height, boolean enabled) {
        super(width, height, enabled);
    }

    @Override
    protected int getOrginalHeight() {
        return 64;
    }

    @Override
    protected int getOrginalWidth() {
        return 64;
    }

    @Override
    protected void paint(Graphics2D g) {
        GeneralPath shape = new GeneralPath();

        shape.moveTo(10.759, 32.73);
        shape.lineTo(10.759, 32.73);
        shape.lineTo(21.758999, 37.73);
        shape.lineTo(21.758999, 37.73);
        shape.curveTo(22.137, 37.902, 22.557, 38.0, 23.0, 38.0);
        shape.curveTo(24.657, 38.0, 26.0, 36.657, 26.0, 35.0);
        shape.curveTo(26.0, 33.786, 25.279, 32.741, 24.241, 32.269);
        shape.lineTo(24.241, 32.269);
        shape.lineTo(13.240999, 27.269001);
        shape.lineTo(13.240999, 27.269001);
        shape.curveTo(12.863, 27.097, 12.443, 27.0, 12.0, 27.0);
        shape.curveTo(10.343, 27.0, 9.0, 28.343, 9.0, 30.0);
        shape.curveTo(9.0, 31.214, 9.721, 32.259, 10.759, 32.73);
        shape.closePath();
        shape.moveTo(10.759, 43.73);
        shape.lineTo(10.759, 43.73);
        shape.lineTo(21.758999, 48.73);
        shape.lineTo(21.758999, 48.73);
        shape.curveTo(22.137, 48.902, 22.557, 49.0, 23.0, 49.0);
        shape.curveTo(24.657, 49.0, 26.0, 47.657, 26.0, 46.0);
        shape.curveTo(26.0, 44.786, 25.279, 43.741, 24.241, 43.27);
        shape.lineTo(24.241, 43.27);
        shape.lineTo(13.240999, 38.27);
        shape.lineTo(13.240999, 38.27);
        shape.curveTo(12.863, 38.098, 12.443, 38.0, 12.0, 38.0);
        shape.curveTo(10.343, 38.0, 9.0, 39.343, 9.0, 41.0);
        shape.curveTo(9.0, 42.214, 9.721, 43.259, 10.759, 43.73);
        shape.closePath();
        shape.moveTo(10.759, 21.731);
        shape.lineTo(10.759, 21.731);
        shape.lineTo(21.758999, 26.731);
        shape.lineTo(21.758999, 26.731);
        shape.curveTo(22.137, 26.903, 22.557, 27.0, 23.0, 27.0);
        shape.curveTo(24.657, 27.0, 26.0, 25.657, 26.0, 24.0);
        shape.curveTo(26.0, 22.786, 25.279, 21.741, 24.241, 21.269001);
        shape.lineTo(24.241, 21.269001);
        shape.lineTo(13.240999, 16.269001);
        shape.lineTo(13.240999, 16.269001);
        shape.curveTo(12.863, 16.097, 12.443, 16.0, 12.0, 16.0);
        shape.curveTo(10.343, 16.0, 9.0, 17.343, 9.0, 19.0);
        shape.curveTo(9.0, 20.214, 9.721, 21.259, 10.759, 21.731);
        shape.closePath();
        shape.moveTo(41.0, 49.0);
        shape.curveTo(41.443, 49.0, 41.863, 48.902, 42.241, 48.73);
        shape.lineTo(42.241, 48.73);
        shape.lineTo(53.241, 43.73);
        shape.lineTo(53.241, 43.73);
        shape.curveTo(54.279, 43.259, 55.0, 42.214, 55.0, 41.0);
        shape.curveTo(55.0, 39.343, 53.657, 38.0, 52.0, 38.0);
        shape.curveTo(51.557, 38.0, 51.137, 38.098, 50.759, 38.27);
        shape.lineTo(50.759, 38.27);
        shape.lineTo(39.759, 43.27);
        shape.lineTo(39.759, 43.27);
        shape.curveTo(38.721, 43.741, 38.0, 44.786, 38.0, 46.0);
        shape.curveTo(38.0, 47.657, 39.343, 49.0, 41.0, 49.0);
        shape.closePath();
        shape.moveTo(61.0, 0.0);
        shape.curveTo(60.594, 0.0, 60.206, 0.082, 59.854, 0.228);
        shape.lineTo(59.854, 0.228);
        shape.lineTo(59.848, 0.23);
        shape.curveTo(59.839, 0.234, 59.829998, 0.237, 59.821, 0.241);
        shape.lineTo(32.0, 11.753);
        shape.lineTo(4.179, 0.241);
        shape.curveTo(4.17, 0.237, 4.161, 0.234, 4.152, 0.23);
        shape.lineTo(4.147, 0.228);
        shape.lineTo(4.147, 0.228);
        shape.curveTo(3.794, 0.082, 3.406, 0.0, 3.0, 0.0);
        shape.curveTo(1.343, 0.0, 0.0, 1.343, 0.0, 3.0);
        shape.lineTo(0.0, 49.0);
        shape.curveTo(0.0, 50.257, 0.774, 51.333, 1.871, 51.779);
        shape.lineTo(30.813, 63.756);
        shape.curveTo(31.177, 63.913, 31.578, 64.0, 32.0, 64.0);
        shape.curveTo(32.422, 64.0, 32.823, 63.913, 33.188, 63.755);
        shape.lineTo(62.128998, 51.779);
        shape.curveTo(63.227, 51.333, 64.0, 50.257, 64.0, 49.0);
        shape.lineTo(64.0, 3.0);
        shape.curveTo(64.0, 1.343, 62.657, 0.0, 61.0, 0.0);
        shape.closePath();
        shape.moveTo(29.0, 56.512);
        shape.lineTo(6.0, 46.995);
        shape.lineTo(6.0, 7.488);
        shape.lineTo(29.0, 17.005001);
        shape.lineTo(29.0, 56.512);
        shape.closePath();
        shape.moveTo(58.0, 46.995);
        shape.lineTo(35.0, 56.512);
        shape.lineTo(35.0, 17.005);
        shape.lineTo(58.0, 7.487999);
        shape.lineTo(58.0, 46.995);
        shape.closePath();
        shape.moveTo(41.0, 38.0);
        shape.curveTo(41.443, 38.0, 41.863, 37.902, 42.241, 37.73);
        shape.lineTo(42.241, 37.73);
        shape.lineTo(53.241, 32.73);
        shape.curveTo(54.279, 32.259, 55.0, 31.214, 55.0, 30.0);
        shape.curveTo(55.0, 28.343, 53.657, 27.0, 52.0, 27.0);
        shape.curveTo(51.557, 27.0, 51.137, 27.097, 50.759, 27.269);
        shape.lineTo(50.759, 27.269);
        shape.lineTo(39.759, 32.268997);
        shape.lineTo(39.759, 32.268997);
        shape.curveTo(38.721, 32.741, 38.0, 33.786, 38.0, 35.0);
        shape.curveTo(38.0, 36.657, 39.343, 38.0, 41.0, 38.0);
        shape.closePath();
        shape.moveTo(41.0, 27.0);
        shape.curveTo(41.443, 27.0, 41.863, 26.903, 42.241, 26.731);
        shape.lineTo(42.241, 26.731);
        shape.lineTo(53.241, 21.731);
        shape.lineTo(53.241, 21.731);
        shape.curveTo(54.279, 21.259, 55.0, 20.214, 55.0, 19.0);
        shape.curveTo(55.0, 17.343, 53.657, 16.0, 52.0, 16.0);
        shape.curveTo(51.557, 16.0, 51.137, 16.097, 50.759, 16.269);
        shape.lineTo(50.759, 16.269);
        shape.lineTo(39.759, 21.269);
        shape.curveTo(38.721, 21.741, 38.0, 22.786, 38.0, 24.0);
        shape.curveTo(38.0, 25.657, 39.343, 27.0, 41.0, 27.0);
        shape.closePath();

        g.setPaint(getColor());
        g.fill(shape);
    }
}
